export const Marks = ({
  data,
  xScale,
  xValue,
  yScale,
  yValue,
  colorScale,
  colorValue,
  innerRadius
}) => {
  const bandwidth = xScale(xValue(data[1])) - xScale(xValue(data[0]))
  return data.map(d => (
    <path
      className="arc"
      d={d3
        .arc()({
        innerRadius:(innerRadius),
        outerRadius:(yScale(yValue(d))),
        startAngle:(xScale(xValue(d))),
        endAngle:(xScale(xValue(d)) + bandwidth),
        padAngle:(0.001),
        padRadius:(innerRadius)
        })}
      fill={colorScale(colorValue(d),xValue(d))}
    />
  ));
};

